Subject: Re: bug#41908: guix time-machine fails; XXXX is not related to introductory commit of channel 'guix'

From: zimoun <[email-masked]>
Date: Fri, 19 Jun 2020 00:29:39 +0200

Dear Janneke,

On Wed, 17 Jun 2020 at 11:27, Jan Nieuwenhuizen <[email-masked]> wrote:

> $ guix time-machine --commit=36640207c9543e48cd6daa92930f023f80065a5d -- environment hello
> Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
> guix time-machine: error: '36640207c9543e48cd6daa92930f023f80065a5d'
> is not related to introductory commit of channel 'guix'

It seems related to the new machinery about authentication, i.e., I guess:

838ac881ec * time-machine: Add '--disable-authentication'.

On my machine:

--8<---------------cut here---------------start------------->8---
guix pull --commit= -p /tmp/bug
/tmp/bug/bin/guix time-machine --commit=36640207c9543e48cd6daa92930f023f80065a5d -- environment hello
--8<---------------cut here---------------end--------------->8---

works as expected. I mean I get:

--8<---------------cut here---------------start------------->8---
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
Authenticating channel 'guix', commits 9edb3f6 to 3664020 (664 new commits)...
substitute: updating substitutes from
'https://ci.guix.gnu.org'... 100.0%
[...]
^C
--8<---------------cut here---------------end--------------->8---

Then I stopped before it completes.  And I re-run the same time-machine
command and I get the same error message:

--8<---------------cut here---------------start------------->8---
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
guix time-machine: error: '36640207c9543e48cd6daa92930f023f80065a5d' is not related to introductory commit of channel 'guix'
--8<---------------cut here---------------end--------------->8---

But with the new option "--disable-authentication", it works -- even it
is maybe not what you want.